
!String methodsFor: '*magritte-pharo1.0-model' stamp: 'lr 3/28/2007 10:32'!
lines
	"Retrun a collection with the string-lines of the receiver."

	| input |
	input := self readStream.
	^ Array streamContents: [ :output |
		[ input atEnd ] whileFalse: [
			output nextPut: (input upTo: Character cr).
			input peek = Character lf
				ifTrue: [ input next ] ] ]! !

!SequenceableCollection methodsFor: '*magritte-pharo1.0-model' stamp: 'DaleHenrichs 11/10/2010 11:05'!
reduce: aBlock
	| argumentCount result |
	argumentCount := aBlock argumentCount.
	(argumentCount = 0 or: [ (self size + 1) \\ (argumentCount - 1) > 0 ])
		ifTrue: [ self error: 'Collection size and block argument count do not match.' ].
	result := self first.
	2 to: self size do: [ :index |
		result := aBlock
			value: result
			value: (self at: index) ].
	^ result! !
